#ifndef DEBUG_H
#define DEBUG_H

#include <stdio.h>
#include <stdint.h>

#include "libdaemon.h"

typedef struct
{
  int  bufsize;
  char prefix[33];
  char *buf;
  FILE *file;
  int  level;
  int  facility;
} log_desc_t;

int log_init(log_desc_t *d, const log_opts_t *log_opts, const char *prefix);
void log_free(log_desc_t *);
void log_print(log_desc_t *, int mlevel, const char *format, ...);

#endif
